import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _MTRServiceAreaClusterSelectAreasParams } from "./MTRServiceAreaClusterSelectAreasParams.js";
import type { _MTRServiceAreaClusterSelectAreasResponseParams } from "./MTRServiceAreaClusterSelectAreasResponseParams.js";
import type { _MTRServiceAreaClusterSkipAreaParams } from "./MTRServiceAreaClusterSkipAreaParams.js";
import type { _MTRServiceAreaClusterSkipAreaResponseParams } from "./MTRServiceAreaClusterSkipAreaResponseParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterServiceArea extends _MTRGenericCluster {
    static alloc(): _MTRClusterServiceArea;
    static new(): _MTRClusterServiceArea;
    init(): _MTRClusterServiceArea;
    selectAreasWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRServiceAreaClusterSelectAreasParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTRServiceAreaClusterSelectAreasResponseParams, error: _NSError) => void) | null): void;
    skipAreaWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRServiceAreaClusterSkipAreaParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTRServiceAreaClusterSkipAreaResponseParams, error: _NSError) => void) | null): void;
    readAttributeSupportedAreasWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSupportedMapsWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeSelectedAreasWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeCurrentAreaWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeEstimatedEndTimeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeProgressWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterServiceArea | null;
}
